/*
 * $Id$
 * 
 * Copyright (c) 2008 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.common.execution;

import com.netapp.common.util.CollectionUtils;

/**
 * @author claird
 * @version $Revision: #2 $ $Date: Jul 2, 2008 $
 */
class WindowsShellCommandTransformer extends ShellCommandTransformer {

    public WindowsShellCommandTransformer() {
        super();
    }

    public WindowsShellCommandTransformer(ShellCommandTransformer shellCommandTransformer) {
        super(shellCommandTransformer);
    }

    /**
     * @see com.netapp.common.execution.ShellCommandTransformer#performTransformation(com.netapp.common.execution.ShellRunnable)
     */
    @Override
    protected ShellRunnable performTransformation(ShellRunnable shellCommand) {
        return new StackedShellCommand(
            shellCommand.transformInto(CollectionUtils.prepend(shellCommand.getArgumentList().toArray(new String[] {}), "cmd", "/c")), shellCommand);
    }

}
