/*
 * $Id: //depot/prod/newport_news/Radamant.1/src/java/com/netapp/common/flow/api/OperationUpdateTag.java#1 $
 * 
 * Copyright (c) 2007 Network Appliance, Inc. 
 * All rights reserved.
 */
package com.netapp.common.flow.api;

import java.io.Serializable;

import javax.xml.bind.annotation.XmlType;

/**
 * Provides a wrapper to abstract what the 'tag' value actually means.
 * 
 * @author joshb
 * 
 */
@XmlType(name = "operationUpdateTag", namespace = "http://www.netapp.com/smai/Operation")
public class OperationUpdateTag implements Serializable {

    private static final long serialVersionUID = -2334495392396429848L;

    protected long tag;

    public OperationUpdateTag() {
        super();
    }

    public OperationUpdateTag(long tag) {
        this();
        setTag(tag);
    }

    public long getTag() {
        return tag;
    }

    public void setTag(long tag) {
        this.tag = tag;
    }

}
