/*
 * $Id: //depot/prod/newport_news/Radamant.1/src/java/com/netapp/common/logging/Log4jAdapterFactory.java#1 $
 * 
 * Copyright (c) 2008 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.common.logging;

import org.apache.log4j.Logger;

/**
 * @author sunday
 * @version $Revision: #1 $ $Date: 2010/08/20 $
 */
public class Log4jAdapterFactory implements LogAdapterFactory {
    static {
        @SuppressWarnings("unused")
        Class<?> clazz = Logger.class;
    }
    
    /**
     * @see com.netapp.common.logging.LogAdapterFactory#createLogAdapter(java.lang.String)
     */
    public LogAdapter createLogAdapter(String clazz) {
        return new Log4jAdapter(Logger.getLogger(clazz));
    }
}
