/*
 * $Id: //depot/prod/newport_news/Radamant.1/src/java/com/netapp/common/platform/JNIException.java#1 $
 * 
 * Copyright (c) 2007 Network Appliance, Inc.
 * All rights reserved.
 */
package com.netapp.common.platform;

public class JNIException extends Exception {   
    /**
     * The value of errno
     */
    private final int errno;
    
    /**
     * 
     */
    private static final long serialVersionUID = 1L;
    
    public JNIException(String message, int errno) {
        super(message);
        this.errno = errno;
    }

    public int getErrno() {
        return errno;
    }
}
