/*
 * $Id: //depot/prod/newport_news/Radamant.1/src/java/com/netapp/common/util/Predicate.java#1 $
 * 
 * Copyright (c) 2008 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.common.util;

/**
 * Interface for doing predicate tests
 * @author sunday
 * @version $Revision: #1 $ $Date: 2010/08/20 $
 */
public interface Predicate<T> {
    /**
     * Test if obj matches this predicate
     * @param obj
     * @return true if obj matches the implemented predicate
     */
    boolean evaluate(T obj);
}
