/*
 * $Id: //depot/prod/newport_news/Radamant.1/src/java/com/netapp/common/zapi/ZAPIResult.java#1 $
 * 
 * Copyright (c) 2007 Network Appliance, Inc.
 * All rights reserved.
 */
package com.netapp.common.zapi;

import java.util.Iterator;
import netapp.manage.NaElement;

/**
 * Raw result returned from a Zephyr api call.
 * @author sunday
 * @version $Revision: #1 $ $Date: 2010/08/20 $
 */
public class ZAPIResult {
    protected final NaElement zapiResponse;
    
    public ZAPIResult(NaElement result) {
        this.zapiResponse = result;
    }

    public Iterator iterator() {
        return this.zapiResponse.getChildren().iterator();
    }
    
    @Override
    public String toString() {
        return this.zapiResponse.toPrettyString("");
    }
    
    public NaElement getZapiResponse() {
        return this.zapiResponse;
    }
    
    public String getFieldByName(String name) {
        return this.zapiResponse.getChildContent(name);
    }
}
