/*
 * $Id: //depot/prod/newport_news/Radamant.1/src/java/com/netapp/common/zapi/generator/Generator.java#1 $
 * 
 * Copyright (c) 2009 Network Appliance, Inc.
 * All rights reserved.
 */
package com.netapp.common.zapi.generator;

// I would have made the GeneratorFactory be a generic argument,
// but I ran into java compiler bug# http://bugs.sun.com/bugdatabase/view_bug.do?bug_id=6292765
// So for now, we just have to deal with some casting.
public abstract class Generator<T> {
    
    private final GeneratorFactory<?, ?, ?, ?> generatorFactory;
    
    private final T target;
    
    public Generator(GeneratorFactory<?, ?, ?, ?> generatorFactory, T target) {
        this.generatorFactory = generatorFactory;
        this.target = target;
    }
    
    public GeneratorFactory<?, ?, ?, ?> getGeneratorFactory() {
        return this.generatorFactory;
    }
    
    public T getTarget() {
        return this.target;
    }

}
