/*
 * $Id: //depot/prod/newport_news/Radamant.1/src/java/com/netapp/common/platform/linux/BlockDeviceHandler.java#1 $
 * 
 * Copyright (c) 2008 NetApp, Inc.
 * All rights reserved.
 */
package com.netapp.common.platform.linux;

import java.io.File;

import com.netapp.common.platform.DeviceType;

/**
 * Handler for individual block device types.
 * @author sunday
 * @version $Revision: #1 $ $Date: 2010/08/20 $
 */
public interface BlockDeviceHandler {
    String driverName();
    DeviceType determineDeviceType(File file);
    File deviceForPartition(File disk, String partition);
    String extractFullDiskPathElement(File file);
    String extractPartitionPathElement(File file);
    File deviceFromMajorMinor(int major, int minor);
}
