/*
 * $Id: //depot/prod/newport_news/Radamant.1/src/java/com/netapp/common/platform/unix/GroupImpl.java#1 $
 * 
 * Copyright (c) 2007 Network Appliance, Inc.
 * All rights reserved.
 */
package com.netapp.common.platform.unix;

import com.netapp.common.platform.Group;

public class GroupImpl implements Group {

    private String name;
    
    private int gid;
    
    GroupImpl(int gid, String name) {
        this.gid = gid;
        this.name = name;
    }
    
    public String getName() {
        return this.name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public int getGid() {
        return this.gid;
    }

    public void setGid(int gid) {
        this.gid = gid;
    }
    
    @Override
    public int hashCode() {
        
        final int prime = 31;
        int result = 1;
        result = prime * result + ((this.name == null) ? 0 : this.name.hashCode());
        result = prime * result + this.gid;
        return result;
    }
    
    @Override
    public boolean equals(Object obj) {
        
        if (obj == this) {
            return true;
        }
        
        if (obj instanceof GroupImpl) {
            GroupImpl rhs = (GroupImpl)obj;
            
            return this.gid == rhs.gid && this.name.equals(rhs.name);
        }
        
        return false;
    }
    
    @Override
    public String toString() {
        
        return this.name;
    }
   
}
