/*
 * $Id: //depot/prod/newport_news/Radamant.1/src/java/com/netapp/common/zapi/annotation/Errno.java#1 $
 * 
 * Copyright (c) 2007 Network Appliance, Inc.
 * All rights reserved.
 */
package com.netapp.common.zapi.annotation;

import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Target;

/**
 * Document the expected error return codes for this Zephyr {@link Api}. Because it is legal for a future
 * api version to return additional codes, this should not be considered a complete legal list.
 * 
 * @see Api
 * @author sunday
 * @version $Revision: #1 $ $Date: 2010/08/20 $
 */
@Target({ElementType.TYPE, ElementType.METHOD})
@Documented
public @interface Errno {
    String[] value();
}
